# Super List Block
[![License](https://img.shields.io/badge/license-GPL--2.0%2B-black.svg)](https://github.com/createwithrani/superlist/blob/main/license.txt)

![Super List Block](https://github.com/createwithrani/superlist/blob/main/assets/banner-1544x500.png?raw=true)

Nest multiple blocks inside lists of any kind of list (ordered, unordered, no marker, etc), or do away with list markers and use it like a repeater!

## Description

A handy little block that can be used in a variety of ways. Use it to nest other blocks inside list items, to create simple grid layouts ( like a properly responsive pricing table, or a wrapping icon list), or other use cases I haven't yet thought of!

This block is very light on styles (and avoids unnecessary div soup!). It aims to provide you with as much flexibility as possible, so you can harness it to create the content structure and layout you like.

If you enjoy the block, please leave a review! ⭐

If you have a feature request, please create an issue in the [GitHub repository](https://github.com/createwithrani/superlist). ➕

If you need support, please use the support forum to reach out. 🆘

## Key Features

* Nest blocks inside ordered and unordered lists.
* Nest blocks inside lists without any markers.
* Let's you create single column content or grid like content with the horizontal orientation setting.
* Supports native color, padding, and margin settings. 🎉
* Has a handy `add` button in the toolbar of list items to easily add more items while you're in the flow.
* Exposes the inner inserter with a clear text label for easy insertion.
* Built entirely native WordPress Block Editor components
* There is a pro version coming with even more features!

## Requirements

- WordPress 5.9+
- PHP 7.0+
